org.eclipse.rdf4j.query.parser.serql.ast

## Interface Node

- All Known Implementing Classes:
    ASTAnd, ASTArgList, ASTBasicPathExpr, ASTBasicPathExprTail, ASTBNode, ASTBooleanConstant, ASTBooleanExpr, ASTBound, ASTCompare, ASTCompareAll, ASTCompareAny, ASTCompOperator, ASTConstruct, ASTConstructQuery, ASTDatatype, ASTEdge, ASTExists, ASTFrom, ASTFunctionCall, ASTGraphIntersect, ASTGraphMinus, ASTGraphQuery, ASTGraphQuerySet, ASTGraphUnion, ASTIn, ASTInList, ASTIsBNode, ASTIsLiteral, ASTIsResource, ASTIsURI, ASTLabel, ASTLang, ASTLangMatches, ASTLike, ASTLimit, ASTLiteral, ASTLocalName, ASTNamespace, ASTNamespaceDecl, ASTNode, ASTNodeElem, ASTNot, ASTNull, ASTOffset, ASTOptPathExpr, ASTOptPathExprTail, ASTOr, ASTOrderBy, ASTOrderExpr, ASTPathExpr, ASTPathExprList, ASTPathExprTail, ASTPathExprUnion, ASTProjectionElem, ASTQName, ASTQuery, ASTQueryBody, ASTQueryContainer, ASTRegex, ASTReifiedStat, ASTSameTerm, ASTSelect, ASTSelectQuery, ASTStr, ASTString, ASTTupleIntersect, ASTTupleMinus, ASTTupleQuery, ASTTupleQuerySet, ASTTupleUnion, ASTURI, ASTValue, ASTValueExpr, ASTVar, ASTWhere, SimpleNode

      public interface Node

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `jjtAccept(SyntaxTreeBuilderVisitor visitor, Object data)` Accept the visitor.
    `void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
    `void` | `jjtAppendChild(Node n)` Adds the supplied node as the last child node to this node.
    `void` | `jjtClose()` This method is called after all the child nodes have been added.
    `Node` | `jjtGetChild(int i)` This method returns a child node.
    `int` | `jjtGetNumChildren()` Return the number of children the node has.
    `Node` | `jjtGetParent()`
    `void` | `jjtInsertChild(Node n, int i)` Adds the supplied node as the `i`'th child node to this node.
    `void` | `jjtOpen()` This method is called after the node has been made the current node.
    `void` | `jjtReplaceChild(Node oldNode, Node newNode)` Replaces a child node with a new node.
    `void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.

- - ### Method Detail

    - #### jjtOpen

          void jjtOpen()

      This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

    - #### jjtClose

          void jjtClose()

      This method is called after all the child nodes have been added.

    - #### jjtSetParent

          void jjtSetParent(Node n)

      This pair of methods are used to inform the node of its parent.

    - #### jjtGetParent

          Node jjtGetParent()

    - #### jjtAddChild

          void jjtAddChild(Node n,
                           int i)

      This method tells the node to add its argument to the node's list of children.

    - #### jjtAppendChild

          void jjtAppendChild(Node n)

      Adds the supplied node as the last child node to this node.

    - #### jjtInsertChild

          void jjtInsertChild(Node n,
                              int i)

      Adds the supplied node as the `i`'th child node to this node.

    - #### jjtReplaceChild

          void jjtReplaceChild(Node oldNode,
                               Node newNode)

      Replaces a child node with a new node.

    - #### jjtGetChild

          Node jjtGetChild(int i)

      This method returns a child node. The children are numbered from zero, left to right.

    - #### jjtGetNumChildren

          int jjtGetNumChildren()

      Return the number of children the node has.

    - #### jjtAccept

          Object jjtAccept(SyntaxTreeBuilderVisitor visitor,
                           Object data)
                    throws VisitorException

      Accept the visitor.
      Throws:
        `VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.